be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1

## Class AcceptedBedPeriodType

- java.lang.Object
- - be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1.AcceptedBedPeriodType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-09-11T10:35:23+02:00",
                 comments="JAXB RI v2.3.7")
      public class AcceptedBedPeriodType
      extends Object
      implements Serializable

  Aanvaarde type woongelegenheid

  Java class for AcceptedBedPeriodType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AcceptedBedPeriodType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="BedPeriodVSBReference" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}VSBReferenceType"/>
               <element name="BedPeriodAcceptedDateTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
               <element name="BedPeriodStartTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
               <element name="BedPeriodEndTime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
               <element name="Bed" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}BedType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AcceptedBedPeriodType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BedType` | `getBed()` Gets the value of the bed property.
    `org.joda.time.DateTime` | `getBedPeriodAcceptedDateTime()` Gets the value of the bedPeriodAcceptedDateTime property.
    `org.joda.time.DateTime` | `getBedPeriodEndTime()` Gets the value of the bedPeriodEndTime property.
    `org.joda.time.DateTime` | `getBedPeriodStartTime()` Gets the value of the bedPeriodStartTime property.
    `String` | `getBedPeriodVSBReference()` Gets the value of the bedPeriodVSBReference property.
    `void` | `setBed(BedType value)` Sets the value of the bed property.
    `void` | `setBedPeriodAcceptedDateTime(org.joda.time.DateTime value)` Sets the value of the bedPeriodAcceptedDateTime property.
    `void` | `setBedPeriodEndTime(org.joda.time.DateTime value)` Sets the value of the bedPeriodEndTime property.
    `void` | `setBedPeriodStartTime(org.joda.time.DateTime value)` Sets the value of the bedPeriodStartTime property.
    `void` | `setBedPeriodVSBReference(String value)` Sets the value of the bedPeriodVSBReference property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AcceptedBedPeriodType

          public AcceptedBedPeriodType()

  - ### Method Detail

    - #### getBedPeriodVSBReference

          public String getBedPeriodVSBReference()

      Gets the value of the bedPeriodVSBReference property.
      Returns:
        possible object is `String`

    - #### setBedPeriodVSBReference

          public void setBedPeriodVSBReference(String value)

      Sets the value of the bedPeriodVSBReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBedPeriodAcceptedDateTime

          public org.joda.time.DateTime getBedPeriodAcceptedDateTime()

      Gets the value of the bedPeriodAcceptedDateTime property.
      Returns:
        possible object is `String`

    - #### setBedPeriodAcceptedDateTime

          public void setBedPeriodAcceptedDateTime(org.joda.time.DateTime value)

      Sets the value of the bedPeriodAcceptedDateTime property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBedPeriodStartTime

          public org.joda.time.DateTime getBedPeriodStartTime()

      Gets the value of the bedPeriodStartTime property.
      Returns:
        possible object is `String`

    - #### setBedPeriodStartTime

          public void setBedPeriodStartTime(org.joda.time.DateTime value)

      Sets the value of the bedPeriodStartTime property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBedPeriodEndTime

          public org.joda.time.DateTime getBedPeriodEndTime()

      Gets the value of the bedPeriodEndTime property.
      Returns:
        possible object is `String`

    - #### setBedPeriodEndTime

          public void setBedPeriodEndTime(org.joda.time.DateTime value)

      Sets the value of the bedPeriodEndTime property.
      Parameters:
        `value` - allowed object is `String`

    - #### getBed

          public BedType getBed()

      Gets the value of the bed property.
      Returns:
        possible object is `BedType`

    - #### setBed

          public void setBed(BedType value)

      Sets the value of the bed property.
      Parameters:
        `value` - allowed object is `BedType`

Connector Packaging TRUSSMAKER 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.